
QGIS Application - Feature request #6614

Add support for "unknown" units

2012-11-03 05:07 AM - Sandro Santilli

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15801

Description

It often happens that qgis doesn't know what the units of the input data are.

In those cases qgis currently makes a guess, but the guess is often wrong, and surely arbitrary.

This ticket is to add support for "unknown" units, and ensure all tools use a centralized

view of what the current map units are so that all agree on the units.

For tools that really want to show a unit name, we should use a name which clearly reflects the unknown.

The unit could be called just "unit" (Area: 32 square units) or could be picked up from this nicelist:

http://en.wikipedia.org/wiki/List_of_humorous_units_of_measurement

History

#1 - 2012-11-05 02:34 AM - Sandro Santilli

I just wanted to add this message I saw flying by at qgis startup:

Debug: src/core/qgsmaprenderer.cpp: 216: (adjustExtentToSize) Scale (assuming meters as map units) = 1:0.00000000

.. this ticket is to basically stop assuming :)

#2 - 2013-05-30 01:03 AM - Sandro Santilli

This is not a bug but a feature request. Only, there's no widget here in my "update ticket" form to change tracker. Help ?

#3 - 2013-05-30 01:04 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
